MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions

# src/songvec.h File Reference

`#include <stddef.h>`

Go to the source code of this file.

## Data Structures
struct | songvec
## Functions
void | songvec_init (void)
void | songvec_deinit (void)
void | songvec_sort (struct songvec *sv)
struct song * | songvec_find (const struct songvec *sv, const char *uri)
int | songvec_delete (struct songvec *sv, const struct song *del)
void | songvec_add (struct songvec *sv, struct song *add)
void | songvec_destroy (struct songvec *sv)
int | songvec_for_each (const struct songvec *sv, int(*fn)(struct song *, void *), void *arg)

## Function Documentation

void songvec_add | ( | struct songvec * | sv,
|  | struct song * | add
| ) |  |

void songvec_deinit | ( | void |  | ) |

int songvec_delete | ( | struct songvec * | sv,
|  | const struct song * | del
| ) |  |

void songvec_destroy | ( | struct songvec * | sv | ) |

struct song* songvec_find | ( | const struct songvec * | sv,
|  | const char * | uri
| ) |  | `[read]`

int songvec_for_each | ( | const struct songvec * | sv,
|  | int(*)(struct song *, void *) | fn,
|  | void * | arg
| ) |  |

void songvec_init | ( | void |  | ) |

void songvec_sort | ( | struct songvec * | sv | ) |